
From: John Levon <levon@movementarian.org>

A silly bug prevented certain events from being used.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/arm/oprofile/op_model_xscale.c  |    4 ++--
 25-akpm/arch/i386/oprofile/op_model_athlon.c |    2 +-
 25-akpm/arch/i386/oprofile/op_model_p4.c     |    2 +-
 25-akpm/arch/i386/oprofile/op_model_ppro.c   |    2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

diff -puN arch/arm/oprofile/op_model_xscale.c~fix-oprofile-events-with-zero-event-values arch/arm/oprofile/op_model_xscale.c
--- 25/arch/arm/oprofile/op_model_xscale.c~fix-oprofile-events-with-zero-event-values	2004-08-21 13:58:48.983833608 -0700
+++ 25-akpm/arch/arm/oprofile/op_model_xscale.c	2004-08-21 13:58:48.994831936 -0700
@@ -7,7 +7,7 @@
  * @remark Copyright 2004 Dave Jiang <dave.jiang@intel.com>
  * @remark Copyright 2004 Intel Corporation
  * @remark Copyright 2004 Zwane Mwaikambo <zwane@arm.linux.org.uk>
- * @remark Copyright 2004 Oprofile Authors
+ * @remark Copyright 2004 OProfile Authors
  *
  * @remark Read the file COPYING
  *
@@ -256,7 +256,7 @@ static int xscale_setup_ctrs(void)
 	int i;
 
 	for (i = CCNT; i < MAX_COUNTERS; i++) {
-		if (counter_config[i].event)
+		if (counter_config[i].enabled)
 			continue;
 
 		counter_config[i].event = EVT_UNUSED;
diff -puN arch/i386/oprofile/op_model_athlon.c~fix-oprofile-events-with-zero-event-values arch/i386/oprofile/op_model_athlon.c
--- 25/arch/i386/oprofile/op_model_athlon.c~fix-oprofile-events-with-zero-event-values	2004-08-21 13:58:48.984833456 -0700
+++ 25-akpm/arch/i386/oprofile/op_model_athlon.c	2004-08-21 13:58:48.992832240 -0700
@@ -70,7 +70,7 @@ static void athlon_setup_ctrs(struct op_
 
 	/* enable active counters */
 	for (i = 0; i < NUM_COUNTERS; ++i) {
-		if (counter_config[i].event) {
+		if (counter_config[i].enabled) {
 			reset_value[i] = counter_config[i].count;
 
 			CTR_WRITE(counter_config[i].count, msrs, i);
diff -puN arch/i386/oprofile/op_model_p4.c~fix-oprofile-events-with-zero-event-values arch/i386/oprofile/op_model_p4.c
--- 25/arch/i386/oprofile/op_model_p4.c~fix-oprofile-events-with-zero-event-values	2004-08-21 13:58:48.986833152 -0700
+++ 25-akpm/arch/i386/oprofile/op_model_p4.c	2004-08-21 13:58:48.993832088 -0700
@@ -578,7 +578,7 @@ static void p4_setup_ctrs(struct op_msrs
 	
 	/* setup all counters */
 	for (i = 0 ; i < num_counters ; ++i) {
-		if (counter_config[i].event) {
+		if (counter_config[i].enabled) {
 			reset_value[i] = counter_config[i].count;
 			pmc_setup_one_p4_counter(i);
 			CTR_WRITE(counter_config[i].count, VIRT_CTR(stag, i));
diff -puN arch/i386/oprofile/op_model_ppro.c~fix-oprofile-events-with-zero-event-values arch/i386/oprofile/op_model_ppro.c
--- 25/arch/i386/oprofile/op_model_ppro.c~fix-oprofile-events-with-zero-event-values	2004-08-21 13:58:48.988832848 -0700
+++ 25-akpm/arch/i386/oprofile/op_model_ppro.c	2004-08-21 13:58:48.993832088 -0700
@@ -67,7 +67,7 @@ static void ppro_setup_ctrs(struct op_ms
 
 	/* enable active counters */
 	for (i = 0; i < NUM_COUNTERS; ++i) {
-		if (counter_config[i].event) {
+		if (counter_config[i].enabled) {
 			reset_value[i] = counter_config[i].count;
 
 			CTR_WRITE(counter_config[i].count, msrs, i);
_
